# Shop by dedi

## Installation

Pour installer le projet, vous aurez besoin d'[installer docker](http://docs.bydedi.com/tools/docker/install/).
Une fois docker installer, lancer la commande :

```bash
make install
```
Il faudra également ajouter `127.0.0.1 www.shopbydedi.local` dans votre fichier `/etc/hosts`
/!\ Le `make install` est à faire une seul fois. Par la suite, un make start sera suffisant

D'autres commandes sont disponibles. `make help` permettra de les lister

Si vous avez besoins d'autres commandes et que vous ne savez pas comment faire évoluer le makefile, interrogez vos lead devs / MOE qui vous apprendra

### Troubleshouting

Il se peut que vous ayez des conflits de ports si plusieurs make start sont fait sur des projets différents. 
Dans ce cas, modifiez les ports dans le fichier `.env` puis `make stop && make install`

## Présentation

| Infos  | Valeur |
| ------------- | ------------- |
| Version  | v2  |
| Hébergement  | Dedi  |
| Déploiement  | FTP  |
| PHP  | 7.2  |
| Docker  | Oui  |
| Migration BDD  | phinx  |
| Theme  | Sass / Gulp  |
| ERP  | -  |
| Aggrégateur de flux  | -  |

## Front end

On utilise Gulp pour compiler le scss et minifier les assets

### Gulp via Docker

Le docker-compose inclus un service gulp, il n'y a donc pas d'installation/lancement à faire.
Si on souhaite accéder dans le container, il suffit d'utiliser la commande:
```bash
docker-compose exec gulp bash
```

#### Changer de thème
Pour changer de thème, il suffit de modifier DOCKER_GULP_THEME dans le .env, et de relancer les container ainsi:
```bash
make stop && make start
```

### Gulp via npm local

Dans le dossier themes/{nom du theme}, executer cette commande pour installer les dépendances:
```bash
npm install
```
Pour lancer gulp :
```bash
npm run gulp
```

### Développement

Ajouter les lib nécessaires via le fichiers paths.js et dans le dossier themes/{nom du theme}/assets/js ou via npm selon les dépendances

Les images sont placées dans web/{nom du theme}/images
