# Utilisation

Ce module permet de configurer des prix barrés sur une selection de produit.

## Configurer un prix barré

La configuration d'un prix barré se fait en plusieurs étapes :

1. Définir les informations globales : nom, valeur, date de début et fin
2. Définir la selection de produits sur laquelle s'applique la remise, via les categories, gammes, marques, ou meme par produit
3. Appliquer les regles configurées

### Informations globales

Les informations de base necessaires pour la création d'un prix barré sont :

* Un nom : uniquement à titre indicatif pour le BO
* Une valeur : en EUR ou un pourcentage
* le type : EUR ou pourcentage
* Une etiquette : pour identifier le type de prix barré : Soldes / Promos
* Une plage de date (début et fin) durant laquelle le prix barré est valable
* La selection de produit : tous, ou non ?

![conf_globale](/back/docs/prix_barre/images/conf_globale.png)

### Définir la selection de produit

Ensuite, il faut configurer la selection de produit sur laquelle s'applique le prix barré.

On peut cibler les produits voulus grace :

* Au categories : tous les produits d'une categorie
* Aux gammes : tous les produits appartenant à une gamme
* Marques
* Produits

Chaque sous modules permets d'ajouter plusieurs entrées.
Cela permet également d'exclure certains criteres, avec l'option `inclus` = non

Par exemple, je veux faire un prix barré sur tous les produits d'une categorie, sauf sur les produits d'une marque dans cette catégorie.

Cela se fait en 2 étapes :

* Selectionner la categorie à inclure, mettre l'infos `inclus` à Oui
* Selectionner la marque à exclure, mettre l'infos `inclus` à Non

### Appliquer un prix barré

Une fois configuré, le prix barré ne remontera pas immediatement sur le front.

Il y a une étape intermediaire importante, il faut `appliquer` les prix barrés sur chacun des produits.

Pour faire lancer cette action, il faut aller dans **Export > APL**.

![application_prix_barrés](/back/docs/prix_barre/images/apply_prix_barres.png)

Cette action va récupérer tous les prix barrés en cours, puis retrouver les produits soumis à une remise 
et calculer le nouveau prix de vente avec la remise.

Cela permet d'assurer de bonne performance pour l'affichage des listings produits sur le front