<?php

use Phinx\Migration\AbstractMigration;

class InsertEdition extends AbstractMigration
{
    public function up()
    {
        $edition_categorie = array(
            array('edition_categorie_id' => '1','edition_categorie_nom' => 'Divers'),
            array('edition_categorie_id' => '2','edition_categorie_nom' => 'Référencement'),
        );
        $this
            ->table('edition_categorie')
            ->insert($edition_categorie)
            ->save();

        $data_edition = array(
            array('edition_id' => 1,'edition_categorie_id' => 2,'edition_nom' => 'ref_title_default'),
            array('edition_id' => 2,'edition_categorie_id' => 2,'edition_nom' => 'ref_desc_default'),
            array('edition_id' => 3,'edition_categorie_id' => 2,'edition_nom' => 'ref_kw_default'),
            array('edition_id' => 4,'edition_categorie_id' => 2,'edition_nom' => 'ref_other_default'),

            array('edition_id' => 5,'edition_categorie_id' => 2,'edition_nom' => 'ref_title_search'),
            array('edition_id' => 6,'edition_categorie_id' => 2,'edition_nom' => 'ref_desc_search'),

            array('edition_id' => 7,'edition_categorie_id' => 2,'edition_nom' => 'ref_title_produit'),
            array('edition_id' => 8,'edition_categorie_id' => 2,'edition_nom' => 'ref_desc_produit'),

            array('edition_id' => 9,'edition_categorie_id' => 2,'edition_nom' => 'ref_title_parent'),
            array('edition_id' => 10,'edition_categorie_id' => 2,'edition_nom' => 'ref_desc_parent'),

            array('edition_id' => 11,'edition_categorie_id' => 2,'edition_nom' => 'ref_title_categorie'),
            array('edition_id' => 12,'edition_categorie_id' => 2,'edition_nom' => 'ref_desc_categorie'),

            array('edition_id' => 13,'edition_categorie_id' => 2,'edition_nom' => 'ref_title_marque'),
            array('edition_id' => 14,'edition_categorie_id' => 2,'edition_nom' => 'ref_desc_marque'),
        );

        $this->table('edition')
            ->insert($data_edition)
            ->save();

        $data_edition_nom = array(
            array('edition_id' =>1, 'langue_id' => 1, 'edition_nom_nom' => '%SITE_NAME%'),
            array('edition_id' =>2, 'langue_id' => 1, 'edition_nom_nom' => ''),
            array('edition_id' =>3, 'langue_id' => 1, 'edition_nom_nom' => ''),
            array('edition_id' =>4, 'langue_id' => 1, 'edition_nom_nom' => ''),

            array('edition_id' =>5, 'langue_id' => 1, 'edition_nom_nom' => '%MOTCLEF% - %SITE_NAME%'),
            array('edition_id' =>6, 'langue_id' => 1, 'edition_nom_nom' => ''),

            array('edition_id' =>7, 'langue_id' => 1, 'edition_nom_nom' => '%PRODUIT_NOM_NOM% - %SITE_NAME%'),
            array('edition_id' =>8, 'langue_id' => 1, 'edition_nom_nom' => ''),

            array('edition_id' =>9, 'langue_id' => 1, 'edition_nom_nom' => '%CATEGORIE_NOM_NOM% - %SITE_NAME%'),
            array('edition_id' =>10, 'langue_id' => 1, 'edition_nom_nom' => ''),

            array('edition_id' =>11, 'langue_id' => 1, 'edition_nom_nom' => '%PARENT_NOM_NOM% %CATEGORIE_NOM_NOM% - %SITE_NAME%'),
            array('edition_id' =>12, 'langue_id' => 1, 'edition_nom_nom' => ''),

            array('edition_id' =>13, 'langue_id' => 1, 'edition_nom_nom' => '%MARQUE_NOM% - %SITE_NAME%'),
            array('edition_id' =>14, 'langue_id' => 1, 'edition_nom_nom' => ''),
        );

        $this->table('edition_nom')
            ->insert($data_edition_nom)
            ->save();
    }

    public function down()
    {
        $this->execute('SET FOREIGN_KEY_CHECKS=0');
        $this
            ->table('edition')
            ->truncate();
        $this
            ->table('edition_categorie')
            ->truncate();
        $this
            ->table('edition_nom')
            ->truncate();
        $this->execute('SET FOREIGN_KEY_CHECKS=1');
    }
}
