<?php

use Phinx\Migration\AbstractMigration;

class ModuleSeo extends AbstractMigration
{
    public function up() {
        $seo_module = array(
            'module_parent_id' => 1,
            'module_nom' => 'SEO',
            'module_titre' => 'SEO',
            'module_page' => 'seo',
            'module_rang' => 149,
            'actif_id' => 1,
            'module_icon' => 'fa fa-google'
        );

        /*
         * On insère le nouveau module "SEO" dans la table "back_module".
         */

        $this->table('back_module')->insert($seo_module)->save();

        /*
         * On récupère le module_id de la dernière ligne ajoutée ainsi que le module_id de redirections/référencements
         */

        $lastID = $this->fetchRow('SELECT module_id FROM back_module ORDER by module_id DESC LIMIT 0,1;');

        $redirectID = $this->fetchRow("SELECT module_id FROM back_module WHERE module_page = 'redirection'");
        $refID = $this->fetchRow("SELECT module_id FROM back_module WHERE module_page = 'referencement'");

        /*
         * On met à jour les module_parent_id de redirections/référencements pour les mettre avec SEO.
         */

        $this->execute("UPDATE back_module SET module_parent_id = '{$lastID['module_id']}' WHERE module_id = '{$redirectID['module_id']}'");
        $this->execute("UPDATE back_module SET module_parent_id = '{$lastID['module_id']}' WHERE module_id = '{$refID['module_id']}'");
    }

    public function down() {
        /*
         * On supprime la ligne du module SEO.
         */
        $this->execute("DELETE FROM back_module WHERE module_page = 'seo';");

        /*
         * On récupère le module_id de DIVERS ainsi que le module_id de redirections/référencements
         */

        $diversID = $this->fetchRow("SELECT module_id FROM back_module WHERE module_titre = 'DIVERS';");

        $redirectID = $this->fetchRow("SELECT module_id FROM back_module WHERE module_page = 'redirection';");
        $refID = $this->fetchRow("SELECT module_id FROM back_module WHERE module_page = 'referencement';");

        /*
         * On met à jour les module_parent_id de redirections/référencements pour les remettre avec "DIVERS".
         */

        $this->execute("UPDATE back_module SET module_parent_id = '{$diversID['module_id']}' WHERE module_id = '{$redirectID['module_id']}'");
        $this->execute("UPDATE back_module SET module_parent_id = '{$diversID['module_id']}' WHERE module_id = '{$refID['module_id']}'");
    }
}
