<?php

use Phinx\Db\Adapter\MysqlAdapter;
use Phinx\Migration\AbstractMigration;

class AddClientCookie extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $this->table('client_cookie', ['id' => 'client_cookie_id'])
            ->addColumn('boutique_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'signed' => false])
            ->addColumn('client_id', 'integer', ['signed' => false, 'null' => true])
            ->addColumn('client_cookie_consent', 'boolean')
            ->addColumn('client_cookie_ip', 'string')
            ->addColumn('client_cookie_date_ajout', 'datetime', ['default' => 'CURRENT_TIMESTAMP'])
            ->addColumn('client_cookie_date_modif', 'datetime', ['default' => 'CURRENT_TIMESTAMP'])
            ->addForeignKey(
                'client_id',
                'client',
                'client_id',
                ['delete' => 'CASCADE', 'update' => 'CASCADE']
            )
            ->addForeignKey('boutique_id', 'boutique', 'boutique_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->create()
        ;

        $back_module = array(
            array('module_parent_id' => '178','module_nom' => 'Gestion des cookies clients','module_titre' => 'Cookies clients','module_page' => 'client_cookie','module_rang' => '70','actif_id' => '1','module_order' => '-2','module_group' => 'cc.client_cookie_id','module_limit' => '50','module_bases' => 'client_cookie','module_icon' => 'fa fa-circle-o'),
        );

        $this
            ->table('back_module')
            ->insert($back_module)
            ->save();
    }
}
