<?php

/**
 * Class ClubFidelite
 */
class ClubFidelite extends Model {

    protected $table = 'club_fidelite';

    // recuperation du parametrage de club fidelite
    function get($formvars = array(), $champs = "") {

        if (empty($formvars['langue_id']))
            $formvars['langue_id'] = Langue::DEFAULT_LANGUE_ID;

        $sql = "SELECT *";
        $sql.=" FROM (club_fidelite cf)";
        $sql.=" LEFT JOIN club_fidelite_nom cfn ON (cf.club_fidelite_id = cfn.club_fidelite_id AND cfn.langue_id = '" . $formvars['langue_id'] . "')";
        $sql.=" WHERE 1";

        if (!empty($formvars['club_fidelite_id']))
            $sql.=" AND cf.club_fidelite_id = '" . $formvars['club_fidelite_id'] . "'";
        if (!empty($formvars['club_fidelite_montant']))
            $sql.=" AND cf.club_fidelite_montant <= '" . $formvars['club_fidelite_montant'] . "'";
        if (!empty($formvars['club_fidelite_montant']))
            $sql.=" ORDER BY club_fidelite_montant DESC";

        if (empty($champs)) {
            return $this->sql->getAll($sql);
        } else {
            $result = $this->sql->getOne($sql);
            return $result[$champs];
        }
    }

    // ajout un bon achat de fidelite suite a une commande
    function add($idCommande) {

        // Recup commande
        $commande = new Commande;
        list($arrCommande) = $commande->get(array('commande_id' => $idCommande));

        // Recup le montant du club fidelite
        $arrClub = $this->get(array('club_fidelite_montant' => $arrCommande['stotal_ht'], 'langue_id' => $arrCommande['langue_id']));

        // si pas de fidelite parametrer alors on fait rien
        if (count($arrClub) > 0) {

            $client = new Client;
            // on regarde si le client est bien inscrit au club fidelite
            $client_club_id = $client->get(array('client_id' => $arrCommande['client_id']), 'client_club_id');
            if ($client_club_id == 1) {

                $bonAchat = new BonAchat;

                $paramBA['client_id'] = $arrCommande['client_id'];
                $paramBA['bon_achat_nom'] = $arrClub[0]['club_fidelite_nom_nom'];
                // le gain est egale au pourcentage du sous total ht de la commande
                $gain = ROUND($arrCommande['stotal_ht'] * ($arrClub[0]['club_fidelite_pourcent'] / 100), 4);
                $paramBA['bon_achat_prix'] = $gain;
                $paramBA['nb_jour'] = $arrClub[0]['club_fidelite_nbjour'];

                $bonAchat->addBa($paramBA);
            }
        }
    }
}