<?php

namespace Integration\Controller;

use Symfony\Component\Routing\Annotation\Route;
use Controller\Controller;

/**
 * @Route("/integration")
 */
class IntegrationController extends Controller
{

    /**
     * @Route(
     *      path         = "/tpl/{tpl_name}",
     *      name         = "inte_tpl",
     *      requirements = { "tpl_name" = "[a-zA-Z0-9-_/]+" }
     * )
     */
    public function show()
    {
        $tplName = $this->request->get('tpl_name') . '.tpl';

        if ($this->template->templateExists($tplName) == false) {
            throw new \DediException(sprintf('no tpl "%s"', $tplName));
        }

        return $this->render($tplName);
    }

    /**
     * @Route(
     *      path         = "/popup/{tpl_name}",
     *      name         = "inte_popup",
     *      requirements = { "tpl_name" = "[a-zA-Z0-9-_/]+" }
     * )
     */
    public function popup()
    {
        $tplName = $this->request->get('tpl_name') . '.tpl';

        if ($this->template->templateExists($tplName) == false) {
            throw new \DediException(sprintf('no tpl "%s"', $tplName));
        }

        return $this->render($tplName);
    }
}
