<?php
/*
 * Smarty plugin
 * -------------------------------------------------------------
 * File:     outputfilter.highlight_terms.php
 * Type:     outputfilter
 * Name:     highlight_terms
 * Purpose:  highlight terms in code
 * -------------------------------------------------------------
 */
function smarty_outputfilter_highlight_terms($output, Smarty_Internal_Template $template)
{
    $highlightTerms = $template->getTemplateVars('highlightTerms');
    if (!empty($highlightTerms)) {
        $table = array();
        foreach ($highlightTerms as $highlightTerm) {
            $table[$highlightTerm] = '<span class="highlight">' . $highlightTerm . '</span>';
        }
        $output = strtr($output, $table);
    }

    return $output;
}